#######################################
# user.tcl
#
# Support for ical menu items to invoke syncal
# 
# This file should be installed as $HOME/.tk/ical/user.tcl
# It adds an item to the ical File menu to invoke syncal and an
# item to the Item menu to move an entry to a different file.
# 
# Contibuted by Mike Bloy 5/10/99
# minor modification by John Franks 5/10/99
# minor modification by Michael D. Beynon 07/17/2000
#######################################

proc pilot_sync {} {
    set dm_AmPm [cal option AmPm]
    set dm_ItemWidth [cal option ItemWidth]
    set dm_MondayFirst [cal option MondayFirst]
    set dm_DayviewTimeStart [cal option DayviewTimeStart]
    set dm_DayviewTimeFinish [cal option DayviewTimeFinish]

    io_save [ical_leader]
    set result [yes_or_no [ical_leader]\
    "To Sync with the Pilot Select Okay and then Press the HotSync button."\
    "Okay" "Cancel"]
    
    if { $result} {
	ical_save
        exec syncal -v $HOME/.syncal.log
        io_read [ical_leader]
    }
    cal option AmPm $dm_AmPm
    cal option ItemWidth $dm_ItemWidth
    cal option MondayFirst $dm_MondayFirst
    cal option DayviewTimeStart $dm_DayviewTimeStart
    cal option DayviewTimeFinish $dm_DayviewTimeFinish
    trigger fire reconfig
}

append-hook dayview-startup {w} {
    global dayview_id
    set b .dayview$dayview_id.menu
    action ical_pilot_sync writable {Sync with Pilot} {} {pilot_sync}
    menu-entry $b File {Sync with Pilot} {ical_pilot_sync}
    menu-pull $b Item {Move Entry To}          {ical_fill_move}
}
